Package org.springframework.context.expression

# Class CachedExpressionEvaluator.ExpressionKey

java.lang.Object
org.springframework.context.expression.CachedExpressionEvaluator.ExpressionKey

All Implemented Interfaces:
  `Comparable<CachedExpressionEvaluator.ExpressionKey>`

Enclosing class:
  CachedExpressionEvaluator

protected static class CachedExpressionEvaluator.ExpressionKey extends Object implements Comparable<CachedExpressionEvaluator.ExpressionKey>
An expression key.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExpressionKey(AnnotatedElementKey element, String expression)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(CachedExpressionEvaluator.ExpressionKey other)`
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionKey

protected ExpressionKey(AnnotatedElementKey element, String expression)

## Method Details

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### compareTo

public int compareTo(CachedExpressionEvaluator.ExpressionKey other)

Specified by:
  `compareTo` in interface `Comparable<CachedExpressionEvaluator.ExpressionKey>`